| OpenGL-2.2.1.1: A binding for the OpenGL graphics system | Source code | Contents | Index

Graphics.Rendering.OpenGL.GL.Texturing.Parameters

Portability | portable
Stability | stable
Maintainer | sven.panne@aedion.de

Description
This module corresponds to section 3.8.4 (Texture Parameters), section 3.8.7 (Texture Wrap Mode), section 3.8.8 (Texture Minification), and section 3.8.9 (Texture Magnification) of the OpenGL 2.1 specs.
Documentation

data TextureFilter | Source

Constructors

Nearest |
Linear' |

Instances

Eq TextureFilter
Ord TextureFilter
Show TextureFilter

type MinificationFilter = (TextureFilter, Maybe TextureFilter) | Source

type MagnificationFilter = TextureFilter | Source

textureFilter :: TextureTarget -> StateVar (MinificationFilter, MagnificationFilter) | Source

data Repetition | Source

Constructors

Repeated |
Mirrored |

Instances

Eq Repetition
Ord Repetition
Show Repetition

data Clamping | Source

Constructors

Clamp |
Repeat |
ClampToEdge |
ClampToBorder |

Instances

Eq Clamping
Ord Clamping
Show Clamping

textureWrapMode :: TextureTarget -> TextureCoordName -> StateVar (Repetition, Clamping) | Source

textureBorderColor :: TextureTarget -> StateVar (Color4 GLfloat) | Source

type LOD = GLfloat | Source

textureObjectLODBias :: TextureTarget -> StateVar LOD | Source

maxTextureLODBias :: GettableStateVar LOD | Source

textureLODRange :: TextureTarget -> StateVar (LOD, LOD) | Source

textureMaxAnisotropy :: TextureTarget -> StateVar GLfloat | Source

maxTextureMaxAnisotropy :: GettableStateVar GLfloat | Source

textureLevelRange :: TextureTarget -> StateVar (Level, Level) | Source

generateMipmap :: TextureTarget -> StateVar Capability | Source

depthTextureMode :: TextureTarget -> StateVar PixelInternalFormat | Source

textureCompareMode :: TextureTarget -> StateVar (Maybe ComparisonFunction) | Source

textureCompareFailValue :: TextureTarget -> StateVar GLclampf | Source

data TextureCompareOperator | Source

Constructors

LequalR |
GequalR |

Instances

Eq TextureCompareOperator
Ord TextureCompareOperator
Show TextureCompareOperator

textureCompareOperator :: TextureTarget -> StateVar (Maybe TextureCompareOperator) | Source

Produced by Haddock version 0.9